classification
Title: *** Error in `python': double free or corruption (out): 0x00007ff5254d50d0 ***
Type: crash Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: chenkai, iritkatriel, xtreak
Priority: normal Keywords:

Created on 2018-03-16 06:59 by chenkai, last changed 2021-09-09 23:11 by iritkatriel. This issue is now closed.

Messages (4)
msg313934 - (view) Author: (chenkai) Date: 2018-03-16 06:59
When I finished the installation of readline (6.2.4.1) and then run python, it's crashed:
*** Error in `python': double free or corruption (out): 0x00007ff5254d50d0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7c503)[0x7ff52416e503]
/lib/libpython3.6m.so.1.0(PyOS_Readline+0xec)[0x7ff524e3ff3c]
/lib/libpython3.6m.so.1.0(+0x694d6)[0x7ff524e414d6]
/lib/libpython3.6m.so.1.0(+0x6ae78)[0x7ff524e42e78]
/lib/libpython3.6m.so.1.0(PyTokenizer_Get+0x9)[0x7ff524e43cb9]
/lib/libpython3.6m.so.1.0(+0x6811e)[0x7ff524e4011e]
/lib/libpython3.6m.so.1.0(PyParser_ASTFromFileObject+0x8b)[0x7ff524f76ecb]
/lib/libpython3.6m.so.1.0(+0x19f0ea)[0x7ff524f770ea]
/lib/libpython3.6m.so.1.0(PyRun_InteractiveLoopFlags+0x76)[0x7ff524f77416]
/lib/libpython3.6m.so.1.0(PyRun_AnyFileExFlags+0x3e)[0x7ff524f77c7e]
/lib/libpython3.6m.so.1.0(Py_Main+0xd97)[0x7ff524f93827]
python(main+0x16c)[0x400b1c]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7ff524113b35]
python[0x400bda]
======= Memory map: ========
00400000-00401000 r-xp 00000000 08:03 52652831                           /root/python36/bin/python3
00601000-00602000 r--p 00001000 08:03 52652831                           /root/python36/bin/python3
00602000-00603000 rw-p 00002000 08:03 52652831                           /root/python36/bin/python3
01bb5000-01c92000 rw-p 00000000 00:00 0                                  [heap]
7ff518000000-7ff518021000 rw-p 00000000 00:00 0 
7ff518021000-7ff51c000000 ---p 00000000 00:00 0 
7ff51d0c4000-7ff51d0d9000 r-xp 00000000 08:03 84                         /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7ff51d0d9000-7ff51d2d8000 ---p 00015000 08:03 84                         /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7ff51d2d8000-7ff51d2d9000 r--p 00014000 08:03 84                         /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7ff51d2d9000-7ff51d2da000 rw-p 00015000 08:03 84                         /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7ff51d2da000-7ff51d2ff000 r-xp 00000000 08:03 106273                     /usr/lib64/libtinfo.so.5.9
7ff51d2ff000-7ff51d4ff000 ---p 00025000 08:03 106273                     /usr/lib64/libtinfo.so.5.9
7ff51d4ff000-7ff51d503000 r--p 00025000 08:03 106273                     /usr/lib64/libtinfo.so.5.9
7ff51d503000-7ff51d504000 rw-p 00029000 08:03 106273                     /usr/lib64/libtinfo.so.5.9
7ff51d504000-7ff51d52a000 r-xp 00000000 08:03 90038                      /usr/lib64/libncurses.so.5.9
7ff51d52a000-7ff51d729000 ---p 00026000 08:03 90038                      /usr/lib64/libncurses.so.5.9
7ff51d729000-7ff51d72a000 r--p 00025000 08:03 90038                      /usr/lib64/libncurses.so.5.9
7ff51d72a000-7ff51d72b000 rw-p 00026000 08:03 90038                      /usr/lib64/libncurses.so.5.9
7ff51d73e000-7ff51d779000 r-xp 00000000 08:03 18819792                   /root/python36/lib/python3.6/site-packages/readline.cpython-36m-x86_64-linux-gnu.so
7ff51d779000-7ff51d979000 ---p 0003b000 08:03 18819792                   /root/python36/lib/python3.6/site-packages/readline.cpython-36m-x86_64-linux-gnu.so
7ff51d979000-7ff51d97b000 r--p 0003b000 08:03 18819792                   /root/python36/lib/python3.6/site-packages/readline.cpython-36m-x86_64-linux-gnu.so
7ff51d97b000-7ff51d982000 rw-p 0003d000 08:03 18819792                   /root/python36/lib/python3.6/site-packages/readline.cpython-36m-x86_64-linux-gnu.so
7ff51d982000-7ff51d9c4000 rw-p 00000000 00:00 0 
7ff51d9c4000-7ff51d9c6000 r-xp 00000000 08:03 35550108                   /usr/lib/python3.6/lib-dynload/_heapq.cpython-36m-x86_64-linux-gnu.so
7ff51d9c6000-7ff51dbc6000 ---p 00002000 08:03 35550108                   /usr/lib/python3.6/lib-dynload/_heapq.cpython-36m-x86_64-linux-gnu.so
7ff51dbc6000-7ff51dbc7000 r--p 00002000 08:03 35550108                   /usr/lib/python3.6/lib-dynload/_heapq.cpython-36m-x86_64-linux-gnu.so
7ff51dbc7000-7ff51dbc9000 rw-p 00003000 08:03 35550108                   /usr/lib/python3.6/lib-dynload/_heapq.cpython-36m-x86_64-linux-gnu.so
7ff51dbc9000-7ff5240f2000 r--p 00000000 08:03 16882256                   /usr/lib/locale/locale-archive
7ff5240f2000-7ff5242a8000 r-xp 00000000 08:03 65201                      /usr/lib64/libc-2.17.so
7ff5242a8000-7ff5244a8000 ---p 001b6000 08:03 65201                      /usr/lib64/libc-2.17.so
7ff5244a8000-7ff5244ac000 r--p 001b6000 08:03 65201                      /usr/lib64/libc-2.17.so
7ff5244ac000-7ff5244ae000 rw-p 001ba000 08:03 65201                      /usr/lib64/libc-2.17.so
7ff5244ae000-7ff5244b3000 rw-p 00000000 00:00 0 
7ff5244b3000-7ff5245b3000 r-xp 00000000 08:03 65209                      /usr/lib64/libm-2.17.so
7ff5245b3000-7ff5247b3000 ---p 00100000 08:03 65209                      /usr/lib64/libm-2.17.so
7ff5247b3000-7ff5247b4000 r--p 00100000 08:03 65209                      /usr/lib64/libm-2.17.so
7ff5247b4000-7ff5247b5000 rw-p 00101000 08:03 65209                      /usr/lib64/libm-2.17.so
7ff5247b5000-7ff5247b7000 r-xp 00000000 08:03 90003                      /usr/lib64/libutil-2.17.so
7ff5247b7000-7ff5249b6000 ---p 00002000 08:03 90003                      /usr/lib64/libutil-2.17.so
7ff5249b6000-7ff5249b7000 r--p 00001000 08:03 90003                      /usr/lib64/libutil-2.17.so
7ff5249b7000-7ff5249b8000 rw-p 00002000 08:03 90003                      /usr/lib64/libutil-2.17.so
7ff5249b8000-7ff5249ba000 r-xp 00000000 08:03 65207                      /usr/lib64/libdl-2.17.so
7ff5249ba000-7ff524bba000 ---p 00002000 08:03 65207                      /usr/lib64/libdl-2.17.so
7ff524bba000-7ff524bbb000 r--p 00002000 08:03 65207                      /usr/lib64/libdl-2.17.so
7ff524bbb000-7ff524bbc000 rw-p 00003000 08:03 65207                      /usr/lib64/libdl-2.17.so
7ff524bbc000-7ff524bd3000 r-xp 00000000 08:03 89995                      /usr/lib64/libpthread-2.17.so
7ff524bd3000-7ff524dd2000 ---p 00017000 08:03 89995                      /usr/lib64/libpthread-2.17.so
7ff524dd2000-7ff524dd3000 r--p 00016000 08:03 89995                      /usr/lib64/libpthread-2.17.so
7ff524dd3000-7ff524dd4000 rw-p 00017000 08:03 89995                      /usr/lib64/libpthread-2.17.so
7ff524dd4000-7ff524dd8000 rw-p 00000000 00:00 0 
已放弃(吐核)
msg325869 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-20 13:08
Thanks for the report. Can you please add a little more description on reproducing this issue along with OS details ? By "the installation of readline (6.2.4.1) [1]" are you referring to a third party package that you have installed with Python that resulted in a crash in Python interpreter? I tried it with master in a virtual env and cannot reproduce the same. Is this reproducible with latest Python or Python 3.6 version? Also it seems you are installing it as a root user does this happen only for root user or even with a virtualenv?


```
(bpo33085-env) karthi@ubuntu-s-1vcpu-1gb-blr1-01:~$ pip install readline
[snip]
Installing collected packages: readline
  Running setup.py install for readline ... done
Successfully installed readline-6.2.4.1
(bpo33085-env) karthi@ubuntu-s-1vcpu-1gb-blr1-01:~$ python
Python 3.8.0a0 (heads/master:73820a6, Sep 14 2018, 18:33:26)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>
```

[1] : https://pypi.org/project/readline/ (moved to https://pypi.org/project/gnureadline/)


Thanks
msg336807 - (view) Author: (chenkai) Date: 2019-02-28 07:06
OS:
(python36) [root@localhost ~]# uname -a
Linux localhost.localdomain 3.10.0-862.el7.x86_64 #1 SMP Fri Apr 20 16:44:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Python 3.6.5 (default, Feb 28 2019, 01:43:16) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-28)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> 
*** Error in `python': free(): invalid pointer: 0x00007f4eb7a64558 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x81499)[0x7f4eb6c45499]
python(PyOS_Readline+0xec)[0x5cc48c]
python[0x447250]
python[0x448b98]
python(PyTokenizer_Get+0x9)[0x4499d9]
python[0x4457dd]
python(PyParser_ASTFromFileObject+0x89)[0x427909]
python[0x427b1b]
python(PyRun_InteractiveLoopFlags+0x76)[0x427e46]
python(PyRun_AnyFileExFlags+0x3c)[0x427fcc]
python(Py_Main+0xc44)[0x43b934]
python(main+0x162)[0x41d8b2]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f4eb6be6445]
python[0x41d970]
======= Memory map: ========
msg401531 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-09-09 23:11
There isn't enough information here for us to do anything about this, and in any case Python 3.6 is no longer maintained. Please create a new issue if you are having this problem with a current version (>= 3.9) and can provide more information about how to reproduce it.
History
Date User Action Args
2021-09-09 23:11:14iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg401531

resolution: out of date
stage: resolved
2020-09-20 22:38:46iritkatrielsetcomponents: - 2to3 (2.x to 3.x conversion tool)
2019-02-28 07:06:52chenkaisetmessages: + msg336807
2018-09-20 13:08:49xtreaksetnosy: + xtreak
messages: + msg325869
2018-03-16 06:59:50chenkaicreate